tomland-1.3.3.3: Bidirectional TOML serialization

Copyright | (c) 2018-2022 Kowainik
License | MPL-2.0
Maintainer | Kowainik <xrom.xkov@gmail.com>
Stability | Stable
Portability | Portable
Safe Haskell | None
Language | Haskell2010

Toml.Parser.Key

Description

Parsers for keys and table names.

Since: 1.2.0.0

Synopsis

- keyP :: Parser Key
- tableNameP :: Parser Key
- tableArrayNameP :: Parser Key

# Documentation

keyP :: Parser Key #

Parser for `Key`: dot-separated list of `Piece`.

tableNameP :: Parser Key #

Parser for table name: `Key` inside `[]`.

tableArrayNameP :: Parser Key #

Parser for array of tables name: `Key` inside `[[]]`.